events.h File Reference

Definitions of an event-based simulation class. More...

`#include <itpp/base/itassert.h>`
`#include <queue>`
`#include <deque>`

Go to the source code of this file.

## Classes

class | itpp::Base_Event
| Base Event Class. More...
struct | itpp::Compare_Base_Event_Times
| Compare to events, Returns true if expire time of event1 is larger than the expire time of event2. More...
class | itpp::Event_Queue
| Event Queue class. More...
class | itpp::Event< ObjectType >
| An Event class that executes a function when the event expires. More...
class | itpp::Data_Event< ObjectType, DataType >
| An Event class that executes a function with some data as input when the event expires. More...

## Namespaces

namespace | itpp
| itpp namespace

## Typedefs

typedef double | itpp::Ttype
| 64-bit floating point time

## Detailed Description

Definitions of an event-based simulation class.

Author
  Anders Persson and Tony Ottosson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file events.h.

Generated on Mon Jun 10 2024 11:49:27 for IT++ by Doxygen 1.9.8